=== debian/changelog ===
adacontrol (1.21r6b-7) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 16:23:15 +0100

adacontrol (1.21r6b-6) experimental; urgency=medium

  * Build with gnat-10 and updated dependencies.
    Work-around GCC bug https://gcc.gnu.org/bugzilla/show_bug.cgi?id=95664.
    Disable stress test.
  * Pass build flags via the environment.
  * Remove redundant options from debian/watch.
  * Use ASCII encoding in rule files.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 17 Nov 2020 19:24:06 +0000

adacontrol (1.21r6b-5) unstable; urgency=medium

  * Revert sizes in t_representation_clauses.diff.
    A non-power of 2 RecTab'Size fails to compile on big-endian architectures.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 10 May 2020 18:16:55 +0000

adacontrol (1.21r6b-4) unstable; urgency=medium

  * Run tests without SOURCE_DATE_EPOCH.  Closes: #959605.
  * Two patches fixing minor problems in test reporting.
  * Fix a reference to adacontrol documentation in GPS.
  * Debhelper 13 deals with nocheck profile.
  * Enable all linker checks.
  * Improve patches so that they may be suggested to upstream.
  * Improve formatting of synopsis in manual pages.
  * Move clean actions from d/rules to d/clean.
  * More specific globs in debhelper aux files.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 10 May 2020 12:41:21 +0000

adacontrol (1.21r6b-3) unstable; urgency=medium

  * no-parallel-make.diff closes: #952770.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 29 Feb 2020 15:08:37 +0100

adacontrol (1.21r6b-2) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
    A change propagated from experimental closes: #952280.
  * Pass debhelper options to sub-Makes via dh_auto_build.
  * Drop redundant branch in Vcs-Git field.
  * Standards-Version: 4.5.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 18:44:16 +0100

adacontrol (1.21r6b-1) experimental; urgency=medium

  * New upstream release. Build with gcc-9 and updated dependencies.
  * Standards-Version: 4.4.1.
  * Drop --as-needed, now the default with gcc-9.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 29 Oct 2019 23:37:39 +0100
