=== debian/control ===
Source: adacontrol
Homepage: http://www.adalog.fr/en/adacontrol.html
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.5.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch:
 dos2unix,
# test/run.sh
 gnat,
# gnat (via gnat-X): /usr/share/ada/debian_packaging*.mk
 gprbuild (>= 2021.0.0.0778b109-2),
 libasis2019.1-dev (>= 2019-4),
 libgnatcoll19-dev (>= 21.0.0-2),
Build-Depends-Indep:
 texinfo,
 texlive-base,
 texlive-fonts-recommended,
 texlive-latex-base,
 texlive-plain-generic,
Vcs-Browser: https://salsa.debian.org/debian/adacontrol
Vcs-Git: https://salsa.debian.org/debian/adacontrol.git

Package: adacontrol
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: gnat-gps, gprbuild
Suggests: adacontrol-doc
Description: Ada rules controller
 AdaControl verifies that Ada software meets the requirements of a
 number of parameterizable rules.  It is not intended to supplement
 checks made by the compiler, but rather to search for particular
 violations of good-practice rules, or to check that some rules are
 obeyed project-wide.
 .
 This package also contains the following utilities:
 .
  * pfni: Print Full Name Image - expands any identifier to a fully-qualified
    name
  * ptree: Prints a graphic representation of an ASIS tree with corresponding
    source
  * adactl_fix: automatically fix some violations.

Package: adacontrol-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Replaces: adacontrol (<< 1.17r3.1-2)
Breaks: adacontrol (<< 1.17r3.1-2)
Depends: ${misc:Depends}
Suggests: gnat, adacontrol
Description: Ada rules controller (documentation)
 AdaControl verifies that Ada software meets the requirements of a
 number of parameterizable rules.  It is not intended to supplement
 checks made by the compiler, but rather to search for particular
 violations of good-practice rules, or to check that some rules are
 obeyed project-wide.
 .
 This package contains the documentation.
