=== debian/tests/control ===
Tests: upstream-tests
