=== debian/watch ===
version=4

# qa.debian.org runs a redirector which allows a simpler form of URL
# for SourceForge based projects. The format below will automatically
# be rewritten to use the redirector.

http://sf.net/adacontrol/adactl@ANY_VERSION@-src\.tgz

# Prefer .tgz over @ARCHIVE_EXT@.
# The former would .zip and force a repackaging.
